VGGT-1B
ᠵᡠᠸᡝᠪᡠᠮᠪᡳ
vggt-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/mnc/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "vggt-1b",
"input": {}
}
VGGT-1B ᠮᠣᠳᡝᠯ (vggt-1b) ᠪᡝ Doitong API ᠵᠠᠯᡳᠨᡩᡝ ᠠᠰᡠᠮᠪᡳ. ᠠᡤᡝᠨᡨᡳ ᡩᠠᡳᠯᠠᠨ: https://doitong.com/mnc/developers/models/vggt-1b.md
POST https://api.doitong.com/v1/run/vggt-1b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
ᡝᡵᡝᠮᡝ ᠪᡠᠮᡝᠨᡳ ᠠᠨᠠᠮᡝ "queued" ᡳᠨᡠ "running" ᠪᡝ, GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 ᠪᡝ ᠠᠨᠠᠮᡝ "succeeded" ᠪᡝᠴᡳ ᠠᠰᡠᠮᠪᡳ; ᡶᡳᠯᡝ ᠪᡝ outputs[].url ᠪᡝᠴᡳ ᠣᠨᡩᠣᠮᡝ. POST https://api.doitong.com/v1/quote/vggt-1b ᠪᡝ ᡝᠮᡠ ᠪᡠᠶᡝᠮᡝ ᠪᡝ ᠠᠰᡠᠮᠪᡳᡩᡝ ᠵᠠᠯᡤᠠᠨ ᠪᡝ ᠶᠠᠪᡠᠮᠪᡳ ᠰᡳᠨᡳ ᠠᠮᡤᠠ ᠠᠰᡠᠮᠪᡳ ᠣᠯᡥᠣᠮᡝ.
ᡴᡳᠴᡝ ᡩᡝ ᠵᡠᠯᡤᡝ ᡤᡡᠨᠠᠨ ᠪᡝ $1.755 ᠪᠠᠶᠠᠮᠪᡳ ᠵᠣᡵᡤᠣᠨᡳ ᡠᠰᡳᡥᠠᡩᡝ, ᠰᡠᠯᡝ ᠠᠮᡝᠪᡠᠮᠪᡳ ᡝᡵᡝ ᠵᠠᠯᡳᠨᡩᡝ ᠠᠰᡠᠮᠪᡳ
ᠰᡳᠨᡳ ᠵᠠᠮᡠᠰᡳᠨ API ᠵᡳᡵᡤᠠ. ᡝᠯᡝ ᡝᠨᡩᡝ ᡳᠯᡤᠠᠮᠪᡳ ᡝᡵᡝ ᠮᡠᠨᡩᡝ ᡴᠣᡩᡝ ᡩᠠᠮᡠ ᠮᡝᠨᡩᡝᡵᡝ ᠪᠠᡩᡝᠯᡝᠨ ᠠᠮᡪᡳ ᡳᠨᡠ API ᠵᡳᡵᡤᠠ ᡩᡝᠪᡨᡝᡵᡝ ᡩᡝ ᠠᡴᡠ᠉ ᡳᠨᡠ ᡝᡵᡝᠩᡤᡝ ᠠᠮᠪᠠᠨ ᠮᡠᠨᡩᡝ ᠪᡝ ᠠᠰᡠᡵᠠᠮᠪᡳ: ᠮᡠᡵᡝ ᡩᠠᠮᡠ ᠪᡠᠶᡝᡵᡝ ᠪᠠᡩᡝᠯᡝᠨ ᡩᡝ ᠰᡳᠨᡩᡝᠮᡝ ᠠᠪᡠᠮᡝ ᠰᠠᠮᡪᡳ᠉
ᡳᠨᡝ ᡝᠮᡠᠨᡳᠩᡤᡝ ᡝᡵᡝᠮᡝ ᡩᡝ
ᡝᡵᡝ ᠵᡠᠯᡝᠨ ᡩᡝ ᡤᡝᡪᡳᠯᡝᠨ ᠪᠠᠶᠠᠨᠠᠮᡝ ᠠᠮᡪᠠᠯᠠ ᡶᡳᠯᡝᠮᡝ ᠪᡝᠶᡝᠮᡝ᠃ API ᠵᡳᡵᡤᠠᡳ ᡤᠠᡳᡥᠠᡩᡝ ᡤᡝᡪᡳᠯᡝᠨ ᠵᠠᠯᠠᠨᠠᠮᡝ ᠪᡠᠶᡝᠮᡝ ᠮᡠᠰᡝᡳ ᠰᡠᠯᡠᠨᡩᡝ ᠪᠠᠶᠠᠨᠠᠮᡝ᠂ ᠮᡤᡳ ᠮᡠᠰᡝ ᠠᠶᠠᠨ 7 ᡥᠠᠨ ᠰᠠᡳᠨᠠᠮᡝ᠃
ᡤᡳᠰᡠᠨ ᠪᡠᠶᡝᠮᡝ
ᠵᠠᡴᡠᠨᡳ ᠵᡠᠯᡝ ᡩᡝᡵᡤᡳ ᡩᡝᠪᡝᠰᡠᠮᡝ ᠵᡠᠯᡤᡝ ᠪᡠᠶᡝᠮᡝ᠈ ᡳᠨᡳ ᡤᡳᠰᡠᠨ ᠪᠠᡳ ᡝᠨᡝᠩᡤᡳ ᠠᠮᠪᡳ
/run/vggt-1b?wait=20
ᠵᠠᠯᡳᠨ → $1.755
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/vggt-1b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/vggt-1b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/vggt-1b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "vggt-1b",
"input": {},
"wait_seconds": 20
}
}
}
ᡝᠨᡳ ᠵᠠᠯᡳᠨ ᠪᡝ ᠵᠠᠯᠠᠨᠠᠮᡝ
ᡳᠨᡝ ᠵᠠᠯᠠᠨ ᡝᡵᡝ ᠪᡠᡵᡝᠪᡝᡵᡳ ᡩᡝ ᠪᡳᠮᡝ᠈ Doitong API ᡩᡝ ᠵᡝᠯᡤᡳ ᡩᠠᡵᠠᠮᡝ᠈ Remember ᠵᡠᠯᡝᠮᡝ ᡤᡳᠯᠠᠮᡝ localStorage ᡩᡝ ᠰᡠᠯᡝᠮᡝ ᠪᡳᠮᡝ API ᠵᠠᠯᠠᠨ ᠠᠪᠠᠮᡝ
VGGT-1B ᡠᡵᡝᠮᡝ
ᠮᡠᠯᡝᠨ ᡳ ᠵᠠᠯᡤᠠᠨ ᡩᡝ ᠵᠠᠯᠠᡥᠠ ᠪᡝ ᠪᠠᡳᠯᠠᠮᡝ ᠵᠠᠰᠠᠮᡝ ᠪᡠᠮᠪᡳ。 `image_urls` ᡩᡝ 48 ᡩᠠᡩᡝ ᠸᡝᠰᡳ ᠪᡝ ᠠᠪᡠᠮᡝ᠂ `video_url` ᠪᡝ ᠵᡠᠯᡤᡝᠨ ᡳ `frame_sampling_rate` ᡳ ᠮᡠᡵᡝᠨ ᡩᡝ ᠪᡳᠰᡳᡵᡝ ᡩᠠᠮᡠ ᠠᠪᡠᠮᡝ ᠪᡠᠮᠪᡳ。 ᡝᠮᡠ ᡳᠯᡤᠠᠨ ᡳ ᠵᠠᠯᡤᠠᠨ ᡳ ᡳᠨᡝᠩᡤᡳ ᠵᠠᠰᠠᡥᠠᠨ᠂ ᠵᠠᠯᡠ ᡳ ᠵᠠᠰᠠᡥᠠᠨ ᠣᠴᡳ ᠵᠠᠯᡠ ᡳ ᠵᠠᠯᡤᠠᠨ ᠪᡝ ᠪᡠᠮᠪᡳ,GLB ᠴᡳᠯᡤᠠᠨ ᠪᡝ ᠵᠠᠯᡠ ᡳ ᠵᠠᠰᠠᡥᠠᠨ ᠪᡝ ᠪᡠᠮᠪᡳ。 `confidence_percentile` ᠣᠴᡳ `max_points` ᠴᡳᠯᡤᠠᠨ ᡳ ᠨᡝᠮᡝ ᠪᡝ ᠵᠠᠰᠠᠮᡝ ᠪᡠᠮᠪᡳ。
ᠵᠠᡴᡠᠨ
ᠵᠠᡴᡠᠨᡳ ᡤᡳᠰᡠᠨ ᠵᡝᠯᡤᡳ ᠠᠪᠠᠮᠪᡳ᠈ ᠨᡝᠮᡝ ᠮᡠᠰᡝ ᡠᠯᠠᠮᠪᡳ ᠵᠠᡴᡠᠨᡳ ᡤᡳᠰᡠᠨ
image_urlsᠵᡠᠯᡝ
images
video_urlᠵᡠᠯᡝ
video
frame_sampling_rateᠵᡠᠯᡝ
alpha_blend_ontoᠵᡠᠯᡝ
export_prediction_dataᠵᡠᠯᡝ
export_depth_mapsᠵᡠᠯᡝ
export_point_cloudᠵᡠᠯᡝ
array_encodingᠵᡠᠯᡝ
exclude_keysᠵᡠᠯᡝ
confidence_percentileᠵᡠᠯᡝ
max_pointsᠵᡠᠯᡝ
enable_safety_checkerᠵᡠᠯᡝ
ᠪᡠᠮᠪᡳᠯᡝᠰᡝ ᡝᠮᡠ ᡤᡝᠮᡠᠨᡳ https:// URL᠈ 10 MB ᡩᡝ ᡩᡝᠷᡤᡳ data: URI ᠵᡝᡵᡤᡳ ᡝᠮᡝ᠈ ᡳᠨᡝ ᠪᡠᠮᠪᡳᠯᡝᠰᡝᠨᡳ file_url ᠠᠪᠠᠮᠪᡳ ᠪᡠᠮᠪᡳ
ᠪᡠᠶᡝᠮᡝ
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "vggt-1b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 1755,
"usd": "1.755",
"charged": 1755,
"refunded": 0
},
"input": {},
"output": {
"point_cloud": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"depth_maps": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"prediction_data": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
],
"num_frames": 1,
"depth_range": [
1.0
],
"extrinsics": [
[
[
1.0
]
]
],
"intrinsics": [
[
[
1.0
]
]
],
"timings": {}
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ᠪᡠᠶᡝᠮᡝᠨᡳ ᡤᡳᠰᡠᠨ
- point_cloud
- object {url, content_type, file_name, file_size} | null`export_point_cloud` ᠣᠯᡥᠣ ᠣᠴᡳ ᠪᡠᠶᡝᠮᡝ ᠰᠠᠯᠠᠨ ᡳ GLB ᠵᠠᠯᡠ᠂ ᡶᡳᠰᡝᡵᡝᠮᡝ ᠰᠠᠯᠠᠨ ᠵᠠᠯᡠ ᠮᠠᠨᡩᠠᠨ ᡳ ᠵᡠᠸᠠᠨ ᡳ ᠮᡠᡩᠠᠨ ᠮᡝ ᠵᠠᠯᡠᠮᠪᡳ᠉
- depth_maps
- array of object {url, content_type, file_name, file_size, width, height}`export_depth_maps` ᠣᠯᡥᠣ ᠣᠴᡳ ᠵᠠᠯᠠᠨ ᡳ ᠵᠠᠯᡠ ᠣᠯᡥᠣᠮᠪᡳ᠉ ᡝᠮᡠᠯᡝ ᠰᠠᠶᠠᠨ ᡳ ᠵᠠᠯᡠ ᠵᠠᠯᡠᠮᡝᠨᡩᡝ᠂ ᡝᠮᡠ ᠵᠠᠯᡠ 16-bit ᠵᡠᠰᡝᠨ ᡳ PNG ᠪᡠᠶᡝᠮᡝ ᠣᠴᡳ᠉
- prediction_data
- array of object {url, content_type, file_name, file_size}ᡝᠵᡝᠨ ᡳ ᠪᡠᠶᡝᠮᡝ ᠵᠠᠯᡠ᠂ `export_prediction_data` ᠣᠯᡥᠣ ᠣᠴᡳ ᡝᠮᡠ ᡶᡳᠯᡝ ᠵᠠᠯᡠᠮᠪᡳ᠂ ᠵᠠᠯᡠ ᠰᠠᠶᠠᠨ ᡳ ᠵᠠᠯᡠᠮᠪᡳ᠉
- num_frames
- integerᡝᠮᡠ ᠵᠠᠯᡠᠮᡝᠩᡤᡝ ᡶᡳᠯᡝᠮᡝ ᡳ ᠵᠠᠯᡠ ᠪᠣᡥᠣᠨ᠂ ᡤᠠᠳᠠᠨ ᠵᠠᠯᡠ ᠰᡠᠨᡤᠠ ᠴᡳ ᠪᠠᠨᠵᡳᠨᠠᠮᠪᡳ᠉
- depth_range
- array of number`depth_maps` ᠵᠠᠯᠠᠨ ᡳ ᠵᠠᠯᡠᠮᡝᠩᡤᡝ [min, max] ᠠᠮᠪᠠᠨ᠉ min + pixel * (max - min) / 65535 ᠵᡝᠴᡝᠨ ᠵᠠᠯᠠᠨ ᡳ ᠵᠠᠯᡠ ᠣᠯᡥᠣᠮᠪᡳ᠉
- extrinsics
- array of array of array of numberᡝᠮᡠ ᡶᡳᠯᡝᠮᡝ ᠴᡳ ᠵᠠᠯᡠᠮᡝᠩᡤᡝ ᠮᠠᠨᡩᠠᠨ ᡳ ᠪᡠᠶᡝᠮᡝ ᠮᠠᡨᡵᡳᠰᠠ᠂ 3x4 ᠵᠠᠯᡠᠮᡝᠨᡩᡝ᠉ OpenCV ᠠᠶᠠᠨ ᡴᡳ x ᠵᡠᠸᠠᠨ᠂ y ᡩᠣᠰᡳᡴᠠᠨ᠂ z ᡶᠣᡵᡤᠣᠨ ᠵᠠᠯᡠᠮᠪᡳ᠉
- intrinsics
- array of array of array of numberᡝᠮᡠ ᡶᡳᠯᡝᠮᡝ ᡳᠨᡩᡠᠪᡠᠮᡝ ᠮᠠᡨᡵᡳᠰᠠ᠂ 3x3 ᠵᠠᠯᡠᠮᡝᠨᡩᡝ᠂ ᠮᠣᡩᡝᠯ ᡳ 518x518 ᡶᡳᠯᡝᠮᡝ ᡳ ᠵᠠᠯᠠᠨ ᡳᠨᡠᠸᠠᠮᡝ᠉
- timings
- objectᡝᠮᡠ ᠠᡵᡤᠠᠨ ᡳ ᠣᠨᠵᠣᠯᠣᠮᡝᠩᡤᡝ ᠴᠠᡤᠠᠨ᠂ ᠰᡝᡴᡠᠨᡩ ᡳ ᠵᠠᠯᡠᠮᡝᠨᡩᡝ᠉
ᡝᠯᡤᡳ ᡩᠠᠯᡳᠨ: ᡤᠠᠳᠠᠨ ᡤᡝᠯᡳᠮᡝ
AI ᠠᡤᡝᠨᡨᡳ ᡠᠴᡠᠷᡳ᠈ ᡝᡵᡝ ᡩᡝᠪᡝᡵᡳ Markdown ᠰᡳᠨᡩᠠᡵᡳ https://doitong.com/mnc/developers/models/vggt-1b.md. ᡝᡵᡝ ᠮᠣᡩᡝᠯ ᠵᠠᡴᡠᠨ ᠰᡠᠯᡠᠮᡝ https://doitong.com/developers/llms.txt